# Application

## Update Merchant Properties

> Create or update one or more custom properties for the specified merchant.&#x20;> \\
>
> \
> Properties allow you to store external identifiers and other custom attributes that can be retrieved later.

```json
{"openapi":"3.0.1","info":{"title":"External US Onboarding Workflow","version":"0.0.1"},"paths":{"/api/BoardingManagement/v1.0/Applications/{merchantNumber}/property":{"put":{"tags":["Application"],"summary":"Update Merchant Properties","description":"Create or update one or more custom properties for the specified merchant. \r\n\r\nProperties allow you to store external identifiers and other custom attributes that can be retrieved later.","parameters":[{"name":"merchantNumber","in":"path","description":"The merchant's unique identification number.","required":true,"schema":{"type":"string"}},{"name":"queryParameters","in":"query","description":"By passing in an identifier on your query string, you can associate it with your merchant.\r\n             Example of query parameter: {merchantNumber}/Properties/?ExternalCustomerId={Your Identifier}","schema":{"type":"string"}},{"name":"exchangeId","in":"header","description":"Correlation Id for the request.","schema":{"type":"string"}}],"responses":{"200":{"description":"Parameters were successfully updated.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PropertyResult"}}}},"202":{"description":"Request change was accepted.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AcceptedResult"}}}},"400":{"description":"Invalid Request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BoardingManagementErrorResults"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BoardingManagementErrorResults"}}}},"409":{"description":"Request change was rejected because there is another one.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BoardingManagementErrorResults"}}}},"500":{"description":"Error occurred saving properties.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BoardingManagementErrorResults"}}}}}}}},"components":{"schemas":{"PropertyResult":{"type":"object","properties":{"content":{"type":"object","additionalProperties":{"type":"string"},"description":"Contains the key-value pair of the property.","nullable":true}},"additionalProperties":false},"AcceptedResult":{"type":"object","properties":{"uniqueIdentifier":{"type":"string","nullable":true}},"additionalProperties":false},"BoardingManagementErrorResults":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/BoardingError"},"nullable":true}},"additionalProperties":false,"description":"Contains one or more error objects returned."},"BoardingError":{"type":"object","properties":{"errorMessage":{"type":"string","description":"Describes the reason for the error.","nullable":true},"resultCode":{"type":"integer","description":"Numeric code that identifies the type of error returned by the request.","format":"int32"},"timeStamp":{"type":"string","description":"Date and time when the error occurred, ISO 8601 format (UTC).","format":"date-time"},"fieldPath":{"type":"array","items":{"type":"string"},"nullable":true}},"additionalProperties":false}}}}
```

## Get Merchant Properties

> Retrieve properties created for the merchant.

```json
{"openapi":"3.0.1","info":{"title":"External US Onboarding Workflow","version":"0.0.1"},"paths":{"/api/BoardingManagement/v1.0/Applications/{merchantNumber}/Properties/{propertyName}":{"get":{"tags":["Application"],"summary":"Get Merchant Properties","description":"Retrieve properties created for the merchant.","parameters":[{"name":"merchantNumber","in":"path","description":"The merchant's unique identification number.","required":true,"schema":{"type":"string"}},{"name":"propertyName","in":"path","description":"The name of the property you want to retrieve.","required":true,"schema":{"type":"string"}},{"name":"exchangeId","in":"header","description":"Correlation Id for the request.","schema":{"type":"string"}}],"responses":{"200":{"description":"Returns a property.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PropertyResult"}}}},"400":{"description":"merchantNumber is Required.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BoardingManagementErrorResults"}}}},"500":{"description":"Error occurred retrieving data.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BoardingManagementErrorResults"}}}}}}}},"components":{"schemas":{"PropertyResult":{"type":"object","properties":{"content":{"type":"object","additionalProperties":{"type":"string"},"description":"Contains the key-value pair of the property.","nullable":true}},"additionalProperties":false},"BoardingManagementErrorResults":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/BoardingError"},"nullable":true}},"additionalProperties":false,"description":"Contains one or more error objects returned."},"BoardingError":{"type":"object","properties":{"errorMessage":{"type":"string","description":"Describes the reason for the error.","nullable":true},"resultCode":{"type":"integer","description":"Numeric code that identifies the type of error returned by the request.","format":"int32"},"timeStamp":{"type":"string","description":"Date and time when the error occurred, ISO 8601 format (UTC).","format":"date-time"},"fieldPath":{"type":"array","items":{"type":"string"},"nullable":true}},"additionalProperties":false}}}}
```

## Create Merchant Application

> Create a new merchant application in the boarding system. This is the first step in the onboarding workflow and creates a merchant record.&#x20;> \\
>
> \
> The merchant number returned from this endpoint must be used in all subsequent API calls related to this application.

```json
{"openapi":"3.0.1","info":{"title":"External US Onboarding Workflow","version":"0.0.1"},"paths":{"/api/BoardingManagement/v1.0/Applications/Create":{"post":{"tags":["Application"],"summary":"Create Merchant Application","description":"Create a new merchant application in the boarding system. This is the first step in the onboarding workflow and creates a merchant record. \r\n\r\nThe merchant number returned from this endpoint must be used in all subsequent API calls related to this application.","parameters":[{"name":"exchangeId","in":"header","description":"Correlation Id for the request.","schema":{"type":"string"}}],"requestBody":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreationRequest"}}},"required":true},"responses":{"201":{"description":"Returns a merchant number.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessfulRequestResponse"}}}},"400":{"description":"HierarchyNodeKey is Required.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BoardingManagementErrorResults"}}}},"500":{"description":"Error occurred retrieving data.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BoardingManagementErrorResults"}}}}}}}},"components":{"schemas":{"CreationRequest":{"required":["hierarchyNodeKey"],"type":"object","properties":{"hierarchyNodeKey":{"type":"string","description":"The unique key identifying the hierarchy node."},"dbaName":{"type":"string","description":"Doing Business As (DBA) name of the merchant.","nullable":true}},"additionalProperties":false},"SuccessfulRequestResponse":{"required":["merchantNumber"],"type":"object","properties":{"merchantNumber":{"type":"string","description":"The merchant's unique identification number."}},"additionalProperties":false},"BoardingManagementErrorResults":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/BoardingError"},"nullable":true}},"additionalProperties":false,"description":"Contains one or more error objects returned."},"BoardingError":{"type":"object","properties":{"errorMessage":{"type":"string","description":"Describes the reason for the error.","nullable":true},"resultCode":{"type":"integer","description":"Numeric code that identifies the type of error returned by the request.","format":"int32"},"timeStamp":{"type":"string","description":"Date and time when the error occurred, ISO 8601 format (UTC).","format":"date-time"},"fieldPath":{"type":"array","items":{"type":"string"},"nullable":true}},"additionalProperties":false}}}}
```

## Create Default Pricing Plan

> Initialize a pre-defined default pricing plan for the specified merchant.

```json
{"openapi":"3.0.1","info":{"title":"External US Onboarding Workflow","version":"0.0.1"},"paths":{"/api/BoardingManagement/v1.0/Applications/{merchantNumber}/InitializePricing":{"post":{"tags":["Application"],"summary":"Create Default Pricing Plan","description":"Initialize a pre-defined default pricing plan for the specified merchant.","parameters":[{"name":"merchantNumber","in":"path","description":"The merchant's unique identification number.","required":true,"schema":{"type":"string"}},{"name":"exchangeId","in":"header","description":"Correlation Id for the request.","schema":{"type":"string"}}],"responses":{"200":{"description":"Creating a pre-defined, default pricing plan.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EmptyResult"}}}},"400":{"description":"MerchantNumber is Required.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BoardingManagementErrorResults"}}}},"500":{"description":"Error occurred retrieving data.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BoardingManagementErrorResults"}}}}}}}},"components":{"schemas":{"EmptyResult":{"type":"object","additionalProperties":false},"BoardingManagementErrorResults":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/BoardingError"},"nullable":true}},"additionalProperties":false,"description":"Contains one or more error objects returned."},"BoardingError":{"type":"object","properties":{"errorMessage":{"type":"string","description":"Describes the reason for the error.","nullable":true},"resultCode":{"type":"integer","description":"Numeric code that identifies the type of error returned by the request.","format":"int32"},"timeStamp":{"type":"string","description":"Date and time when the error occurred, ISO 8601 format (UTC).","format":"date-time"},"fieldPath":{"type":"array","items":{"type":"string"},"nullable":true}},"additionalProperties":false}}}}
```

## Submit Merchant Signatures

> Mark the merchant application as having all required signatures from authorized signers.&#x20;> \\
>
> \
> Call this endpoint only after all required signatures are collected and all administrative adjustments are complete.

```json
{"openapi":"3.0.1","info":{"title":"External US Onboarding Workflow","version":"0.0.1"},"paths":{"/api/BoardingManagement/v1.0/Applications/{merchantNumber}/SubmitSignatures":{"post":{"tags":["Application"],"summary":"Submit Merchant Signatures","description":"Mark the merchant application as having all required signatures from authorized signers. \r\n\r\nCall this endpoint only after all required signatures are collected and all administrative adjustments are complete.","parameters":[{"name":"merchantNumber","in":"path","description":"The merchant's unique identification number.","required":true,"schema":{"type":"string"}},{"name":"exchangeId","in":"header","description":"Correlation Id for the request.","schema":{"type":"string"}}],"responses":{"200":{"description":"Successfully submitted the signatures.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EmptyResult"}}}},"400":{"description":"Merchant cannot have signatures submitted at this time.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BoardingManagementErrorResults"}}}},"404":{"description":"Merchant not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BoardingManagementErrorResults"}}}},"500":{"description":"System error.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BoardingManagementErrorResults"}}}}}}}},"components":{"schemas":{"EmptyResult":{"type":"object","additionalProperties":false},"BoardingManagementErrorResults":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/BoardingError"},"nullable":true}},"additionalProperties":false,"description":"Contains one or more error objects returned."},"BoardingError":{"type":"object","properties":{"errorMessage":{"type":"string","description":"Describes the reason for the error.","nullable":true},"resultCode":{"type":"integer","description":"Numeric code that identifies the type of error returned by the request.","format":"int32"},"timeStamp":{"type":"string","description":"Date and time when the error occurred, ISO 8601 format (UTC).","format":"date-time"},"fieldPath":{"type":"array","items":{"type":"string"},"nullable":true}},"additionalProperties":false}}}}
```

## Submit the Merchant Application

> Submit a completed merchant application once all required data has been entered, reviewed and is satisfactory.

```json
{"openapi":"3.0.1","info":{"title":"External US Onboarding Workflow","version":"0.0.1"},"paths":{"/api/BoardingManagement/v1.0/Applications/{merchantNumber}/Submit":{"post":{"tags":["Application"],"summary":"Submit the Merchant Application","description":"Submit a completed merchant application once all required data has been entered, reviewed and is satisfactory.","parameters":[{"name":"merchantNumber","in":"path","description":"The merchant's unique identification number.","required":true,"schema":{"type":"string"}},{"name":"exchangeId","in":"header","description":"Correlation Id for the request.","schema":{"type":"string"}}],"responses":{"200":{"description":"Successfully submitted merchant. The data entering process is complete.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EmptyResult"}}}},"400":{"description":"Unable to submit merchant at this time.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BoardingManagementErrorResults"}}}},"404":{"description":"Merchant not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BoardingManagementErrorResults"}}}},"500":{"description":"Error occurred retrieving data.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BoardingManagementErrorResults"}}}}}}}},"components":{"schemas":{"EmptyResult":{"type":"object","additionalProperties":false},"BoardingManagementErrorResults":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/BoardingError"},"nullable":true}},"additionalProperties":false,"description":"Contains one or more error objects returned."},"BoardingError":{"type":"object","properties":{"errorMessage":{"type":"string","description":"Describes the reason for the error.","nullable":true},"resultCode":{"type":"integer","description":"Numeric code that identifies the type of error returned by the request.","format":"int32"},"timeStamp":{"type":"string","description":"Date and time when the error occurred, ISO 8601 format (UTC).","format":"date-time"},"fieldPath":{"type":"array","items":{"type":"string"},"nullable":true}},"additionalProperties":false}}}}
```
